<template>
  <div class="top">
    <div class="container">
      <div class="row">
        <div class="col-md-12">
          <div class="inside">
            <div v-viewer>
              <img
                class="avatar-md zoomable"
                :src="(selectedRoom) ? selectedRoom.created_by.picture || asset('images/pictures/no_avatar.jpg') : asset('/images/pictures/no_avatar.jpg')"
                data-toggle="tooltip"
                data-placement="top"
                :title="(selectedRoom) ? selectedRoom.created_by.name :''"
                alt="avatar"
                @error="imgErrorHandler"
              >
            </div>

            <div class="status" v-show="isLive">
              <i class="material-icons online">fiber_manual_record</i>
            </div>
            <div class="data">
              <template v-if="selectedRoom">
                <h5>
                  <a href="#">{{selectedRoom.created_by.name}}</a>
                </h5>
                <template v-if="this.selectedRoom.livechat">
                  <small>{{liveChatHeader}}</small>
                </template>
              </template>
              <template v-else>
                <span>Select User</span>
              </template>
            </div>
            <div v-if="this.selectedRoom" class="d-flex">
              <div v-if="this.selectedRoom.livechat || appSettings.always_allow_livechat">
                <resolve-live-chat-modal v-if="isLive" :selectedRoom="selectedRoom"></resolve-live-chat-modal>
                <handle-live-chat-modal v-else :selectedRoom="selectedRoom"></handle-live-chat-modal>
              </div>

              <div class="btn-action-container">
                <img
                  :src="asset(`images/channels/${this.selectedRoom.created_by.channel.name}.png`)"
                  class="mr-2"
                >
              </div>
              <user-detail-modal :user="selectedRoom.created_by"></user-detail-modal>
              <div class="btn-action-container">
                <img
                  :src="asset(`images/ui_elements/ic_menu_chat.png`)"
                  class="mr-2 pointer bg-white rounded-circle"
                  @click="toggleSidebar"
                >
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
    <!-- <user-modal ref="UserModal" :selectedUser="selectedUser"></user-modal> -->
  </div>
</template>

<script>
import chatMixin from "@/mixins/ChatMixin";
import liveChatMixin from "@/mixins/LiveChatMixin";
import EventBus from "@/EventBus.js";
import HandleLiveChatModal from "../modals/HandleLiveChatModal";
import ResolveLiveChatModal from "../modals/ResolveLiveChatModal";
import UserDetailModal from "@/components/pages/crm/user/modals/UserDetailModal";
export default {
  components: { HandleLiveChatModal, ResolveLiveChatModal, UserDetailModal },
  mixins: [chatMixin, liveChatMixin],
  computed: {
    selectedUser() {
      return !_.isNull(this.selectedRoom) ? this.selectedRoom.created_by : null;
    }
  },
  methods: {
    toggleSidebar() {
      EventBus.$emit("toggleChatSidebar");
    }
  }
};
</script>
<style lang="scss" scoped>
.top {
  background: #f5f5f5 !important;
}
.avatar-custom {
  height: 100px !important;
  min-width: 100px !important;
}
</style>

